<template>
  <div class="wrap">
    <div class="site-wrap">
      <Menu class="nav-main" />
      <header>
        <Logo :neg="true" />
        <div class="menu">
          <Language />
          <MenuButton menu=".nav-main" />
        </div>
      </header>
      <main>
        <Nuxt />
      </main>
    </div>
  </div>
</template>

<script>
import Language from '~/components/Menu/Language';

export default {
  components: {
    Language,
  },
};
</script>

<style lang="scss">
html {
  font-family:
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  font-size: 16px;
  box-sizing: border-box;
}

html, body {
  margin: 0;
  padding: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

nav {
  ul {
    list-style-type: none;
    margin: 0; padding: 0;
  }

  a {
    &:hover {
      text-decoration: underline;
    }
  }
}

a {
  color: inherit;
  text-decoration: none;
}

.wrap {
  background-color: #000;
  color: #ebebeb;
}

.site-wrap {
  padding: 0 2rem;

  min-height: 100vh;
  display: grid;
  grid-template-rows: auto 1fr auto;
  grid-template-columns: 100%;
}

header {
  padding: 1em 0;

  display: flex;
  justify-content: space-between;
  align-items: center;

  .menu {
    display: flex;
    align-items: center;
  }

  .menu-button {
    font-size: 1.5em;
  }
}

main {
  padding: 2em 0;

  a {
    text-decoration: underline;
  }
}

.menu {
  > * + * {
    margin-left: 1em;
  }
}
</style>
